

#define SYNCSIZE        1
#define MAXADDRESSSIZE  3
#define MAXPFBFLAGS     3
#define MAXUFBFLAGS     3
#define MAXDATASIZE     512
#define MAXEDMSIZE      4
#define MAXPACKSIZE     1042
#define PACKBUFFSIZE    50


typedef struct Type_Version {
  uchar Major;
  uchar Minor;
} Type_Version;

typedef struct Type_Statistics {
  long RejectedPackets;
  long TransmittedPackets;
  long ReceivedPackets;
  long TotalPackets;
  long RejectedBytes;
  long TransmittedBytes;
  long ReceivedBytes;
  long TotalBytes;
  long StartTime;
} Type_Statistics;

typedef uchar Type_DataBytes[MAXDATASIZE];    /*Undecoded data from or to DLL from App.*/

typedef uchar Type_PacketBytes[MAXPACKSIZE];  /*SNAP Packetbytes from or to Comlayer */

typedef struct Type_Packet {
  long NumOfBytes;   				    /*Number of bytes in packet*/
  Type_PacketBytes PacketBytes;		    /*All bytes in packet execept leading preamble bytes*/
  long Time;   					    /*Time stamp (allways zero in this beta version)*/
} Type_Packet;


typedef struct Type_RXData {
  long DestAdd;   	/*-1=No Destination address was used. 0=Broadcast*/
  long SourceAdd;   	/*-1=No Source address was used. 0=Broadcast*/
  Type_DataBytes Data;  /*All databytes*/
  long NumOfDataBytes;  /*0-MAXDATASIZE*/
  uchar EDMBits;   	/*only bits 0-3 is used*/
  uchar ACKBits;   	/*only bits 0-3 is used*/
  long RXTime;   		/*Time stamp (allways zero in this beta version)*/
} Type_RXData;


typedef struct Type_TXData {
  long DestAdd;   	/*-1=No Destination address will be used. 0=Broadcast*/
  Type_DataBytes Data;  /*All databytes*/
  long NumOfDataBytes;  /*0-MAXDATASIZE*/
  uchar ErrorMode;   	/*Errordetection mode*/
  uchar Ack;   		/*ACK Bits*/
} Type_TXData;



long GetSPYData(RXData)Type_RXData *RXData;

long GetRXData(RXData)Type_RXData *RXData;

long RXByteIn(InByte)uchar InByte;

long GetTXPacket(OutPacket)Type_Packet *OutPacket;

long SendData(TXData)Type_TXData *TXData;

Void GetStatistics(Stat)Type_Statistics *Stat;

long MyAddress()

Void SetMyAddress(MyAddress)long MyAddress;

Type_Version LibVersion()



