CONST 
  SYNCSIZE=1; 
  {Define maxsize in bytes of different portions of the protocoll} 
  MAXADDRESSSIZE=3; 
  MAXPFBFLAGS=3; 
  MAXUFBFLAGS=3; 
  MAXDATASIZE=512; 
  MAXEDMSIZE=4; 
  {Maximum packet size is sum of all max portions} 
  {MAXPACKSIZE=SYNCSIZE+MAXDATASIZE+MAXPFBFLAGS+MAXUFBFLAGS+ 
               MAXADDRESSSIZE+MAXADDRESSSIZE+MAXDATASIZE+MAXEDMSIZE;} 
  MAXPACKSIZE=1042; 

  PACKBUFFSIZE=50; 

TYPE 
  Type_Version= Record 
                  Major  :Byte; 
                  Minor  :Byte; 
                End; 

  Type_Statistics=Record 
                    RejectedPackets:LongInt; 
                    TransmittedPackets:LongInt; 
                    ReceivedPackets:LongInt; 
                    TotalPackets:LongInt; 
                    RejectedBytes:LongInt; 
                    TransmittedBytes:LongInt; 
                    ReceivedBytes:LongInt; 
                    TotalBytes:LongInt; 
                    StartTime:LongInt; 
                  End; 
  Type_DataBytes= Array [1..MAXDATASIZE]of Byte;   {Un/decoded data from or
  to DLL from App.} Type_PacketBytes= Array [1..MAXPACKSIZE]of Byte; {SNAP
  Packetbytes from or to Comlayer } 

  Type_Packet = Record 
                  NumOfBytes:Integer;              {Number of bytes in
                  packet} PacketBytes:Type_PacketBytes;    {All bytes in
                  packet execept leading preamble bytes} Time:LongInt;     
                                {Time stamp} 
                End; 

  Type_RXData = Record 
                  DestAdd:LongInt;                 {-1=No Destination
                  address was used. 0=Broadcast} SourceAdd:LongInt;       	
                    {-1=No Source address was used. 0=Broadcast}
                  Data:Type_DataBytes;             {All databytes}
                  NumOfDataBytes:Integer;          {0-MAXDATASIZE}
                  EDMBits:Byte;                    {only bits 0-3 is used}
                  ACKBits:Byte;                    {only bits 0-3 is used}
                  RXTime:LongInt;                  {Time stamp} 
                End; 

   Type_TXData = Record 
                   DestAdd:LongInt;                {-1=No Destination
                   address will be used. 0=Broadcast} Data:Type_DataBytes; 
                             {All databytes} NumOfDataBytes:Integer;       
                    {0-MAXDATASIZE} ErrorMode:Byte;                
                   {Errordetection mode} Ack:Byte;                      
                   {ACK Bits} 
                 End; 




{Return Library version to Application} 
   Function LibVersion:Type_Version; 
{Sets your nodeaddress} 
   Procedure SetMyAddress (MyAddress:LongInt) ;
{Return my node address} 
   Function MyAddress :LongInt;
{Return statistics counters} 
   Procedure GetStatistics (VAR Stat:Type_Statistics) ; 
{Send data to TX buffert}
   Function SendData(VAR TXData:Type_TXData) :WordBool  ; 
{Read back a TX packet } 
   Function GetTXPacket (VAR OutPacket:Type_Packet):WordBool ; 
{Input Bytes to ByteBuffert} 
   Function RXByteIn (InByte:byte) :WordBool ; 
{Read a RX packet } 
   Function GetRXData (VAR RXData:Type_RXData) :WordBool; 
{Read a SPY packet } 
   Function GetSPYData (VAR RXData:Type_RXData) :WordBool ; 


